{% extends 'tienda/base.html' %}
{% load static %}
{% load humanize %}
{% block titulo %}Inicio{% endblock %}

{% block contenedor %}

    <div class="w-100 h-100 ml-0 mr-0 mx-auto text-center"  style="max-width: 1200px;">
        {% if data %}
            {% csrf_token %}
            <div class="btn-group btn-group-lg mt-3 mb-3 sticky-top bg-white" role="group" aria-label="Basic outlined example">
                <a href="{% url 'inicio' %}" type="button" class="btn btn-outline-primary">Ver todos</a>
                {%  for c in cat %}
                    <a href="{% url 'inicio' %}?cat={{ c.id }}" type="button" class="btn btn-outline-primary">{{ c.nombre }}</a>
                {% endfor %}
            </div>
        {%  for p in data %}
            {% if forloop.first %}
                <div class="row" style="clear:left;">
            {% endif %}

            {% if forloop.counter0|divisibleby:4 %}
                </div>
                <div class="row" style="clear:left;">
            {% endif %}

            <div class="card m-2 p-2 align-items-center" style="float:left;width: 18rem;">
                <img src="{{ p.foto.url }}" class="card-img-top" alt="{{ p.nombre }}" style="width:70%">
                <div class="card-body">
                    <h5 class="card-title">{{ p.nombre }}</h5>
                    <p class="card-text">
                        ${{ p.precio|floatformat:0|intcomma }}
                    </p>
                </div>
                {% if p.inventario > 0 %}
                <form>
                    <input type="hidden" name="id" id="id_{{ p.id }}" value="{{ p.id }}" />
                    <input type="number" name="cantidad" id="cantidad_{{ p.id }}" min="1" max="{{ p.inventario }}" value="1" size="3" />
                    <button type="button" onclick="add_carrito(`{% url 'carrito_add' %}`, {{ p.id }});" class="btn btn-info">Add Carrito</button>
                </form>
                {% endif %}
                <div class="card-footer">
                    <small class="text-body-secondary">{{ p.categoria }}</small>

                    {% if p.inventario >= 1 and p.inventario <= 3 %}
                        <br><small class="text-danger">Quedan sólo {{ p.inventario }} unidades...</small>
                    {% elif p.inventario == 0 %}
                        <br><small class="text-danger">Producto agotado!!</small>
                    {% endif %}
                </div>
            </div>

            {% if forloop.last %}
                </div>
            {% endif %}

        {% endfor %}
        {% else %}
        <div class="btn-group btn-group-lg mt-3 mb-3 border-5 sticky-top bg-white" role="group" aria-label="Basic outlined example">
            <a href="{% url 'inicio' %}" type="button" class="btn btn-outline-primary">Ver todos</a>
            {%  for c in cat %}
                <a href="{% url 'inicio' %}?cat={{ c.id }}" type="button" class="btn btn-outline-primary">{{ c.nombre }}</a>
            {% endfor %}
        </div>
        <div class="row p-3" style="clear:left;">
            No hay productos en este categoría...
        </div>
        {% endif %}
    </div>
{% endblock %}
